function init(hero) {
    hero.setName("Redwing/\u00A76\u00A7lUHP\u00A7r");
    hero.setVersion("MCU");
    hero.setTier(1);
    
    hero.setChestplate("Body");
    
    hero.addPowers("uhp:drone_flight");
    
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("PUNCH_DAMAGE", -1.0, 1);
    hero.addAttribute("WEAPON_DAMAGE", -1.0, 1);
	hero.addAttribute("MAX_HEALTH", -10.0, 0);
	
    hero.addKeyBind("AIM", "key.aim", 1);
    hero.addKeyBind("HOVER", "key.hover", 2);

    hero.setDefaultScale(0.2);

    hero.setRuleValueModifier(ruleModifier);
    hero.setModifierEnabled(isModifierEnabled);
	
    hero.supplyFunction("canAim", canAim);
	
}

function isModifierEnabled(entity, modifier) {
    switch (modifier) {
    case "fiskheroes:gliding":
        return !entity.getData("fiskheroes:hovering");
    default:
        return true;
   }
}

function ruleModifier(entity, rule) {
    if (rule.name() == "fiskheroes:dmg_laserbolt") {
        return 2.5;
    }
    else if (rule.name() == "fiskheroes:cooldown_energyblast") {
        return 10.0;
    }
    
    return null;

}

function canAim(entity) {

     return true; 
}